
printf "\nIBM  PBN for MQIPT\n"
printf    "_________________\n"  

base=`basename $0`
if [ "$base" = "$0" ]; then
  CD_BASE=`pwd`
else
  CD_BASE=`dirname $0`
  if [ "${CD_BASE}" = "." ]; then
    CD_BASE=`pwd`
  fi
fi
cd $CD_BASE

VERUNINST="no"  
if [ "$1" != "-silent" ]; then
  printf "\nAre you sure you want to uninstall this product? [no] "; read VERUNINST
else
  VERUNINST="yes"
fi

if [ "$VERUNINST" != "yes" -a "$VERUNINST" != "y" -a "$VERUNINST" != "Y" -a "$VERUNINST" != "YES" ]; then
  printf "  Uninstallation aborted.\n"
  exit 1 
fi

if [ "`whoami`" != "root" -a "$1" != "-silent" ]; then
  printf "You are currently logged in as a user other than 'root'.\n"
  printf "Root-level access is required to uninstall this product.\n"
  printf "Continue?  "; read cont
  if [ "$cont" != "y" -a "$cont" != "Y" -a "$cont" != "yes" -a "$cont" != "YES" ]; then
    printf "  Uninstallation aborted.\n"
    exit 1
  fi
fi

TQoS_installed="UNKNOWN"

rpm -q epbn > /dev/null 2>&1
if [ $? -eq 0 ]; then
	epbn_installed="2.0"
fi

printf "Stopping the pagent process\n"
/etc/init.d/ibmPBN stop

if [ "${epbn_installed}" != "UNKNOWN" ]; then

   printf "Uninstalling PBN for MQIPT\n"
   rpm -e `rpm -qa | grep epbn`
   rpm -qa | grep epbn > /dev/null 2>&1
   if [ $? -eq 0 ]; then
		printf "  The uninstallation failed.\n"
		exit 1
   fi

   oldfiles_dir="/opt/ibm/epbn/"
   rpm -qa | grep ldap-clientd-5.1-1 > /dev/null 2>&1
   if [ $? -eq 0 ]; then
      if [ "$1" != "-silent" ]; then
         printf "\nA version of the IBM LDAP Client 5.1-1 has been detected on this machine.  It could\npotentially be used by other products which implement LDAP functionality.\nDo you want it to be uninstalled also? [no] "; read UNSTALLLDAP
      else
         UNSTALLLDAP="yes"
      fi

      if [ "$UNSTALLLDAP" = "yes" -o "UNSTALLLDAP" = "YES" -o "$UNSTALLLDAP" = "y" -o "$UNSTALLLDAP" = "Y" ]; then
         rpm -e ldap-clientd-5.1-1
         if [ $? -eq 1 ]; then
            printf "\n  Unable to remove the ldap-clientd-5.1-1.\n"
            printf "  The uninstallation failed.\n"
            exit 1
         fi 
      fi 
   fi 

   rpm -qa | grep gsk5bas-5.0-4.58 > /dev/null 2>&1
   if [ $? -eq 0 ]; then
      if [ "$1" != "-silent" ]; then
         printf "\nA version of the IBM global security kit version 5 (gsk5bas) has been detected\non this machine.  It could potentially be used by other products which implement\nsecurity functionality.\nDo you want it to be uninstalled also? [no] "; read UNSTALLGSKIT
      else
         UNSTALLGSKIT="yes"
      fi
 
      if [ "$UNSTALLGSKIT" = "yes" -o "$UNSTALLGSKIT" = "YES" -o "$UNSTALLGSKIT" = "y" -o "$UNSTALLGSKIT" = "Y" ]; then
         rpm -e gsk5bas-5.0-4.58
         if [ $? -eq 1 ]; then
            printf "\n  Unable to remove the gsk4base.\n"
            printf "  The uninstallation failed.\n"
            exit 1
         fi
      fi
   fi

   printf "\nThe uninstallation was a success.\n"
else
   printf "There is no product to uninstall.\n"
fi

